@echo off & cls
echo 正在停止IIS服务....
iisreset /stop

echo 卸载组件 ASPEncode.DLL
regsvr32 /u /s C:\WINDOWS\SysWOW64\ASPEncode.DLL
regsvr32 /u /s C:\WINDOWS\system32\ASPEncode.DLL


rem 注册组件
echo 注册组件 ASPEncode.DLL
cscript C:\inetpub\AdminScripts\adsutil.vbs SET W3SVC/AppPools/Enable32bitAppOnWin64 true
regsvr32 /s ASPEncode.DLL
regsvr32 /s C:\WINDOWS\SysWOW64\ASPEncode.DLL
regsvr32 ASPEncode.DLL

rem 启动iis
echo 正在启动IIS服务....
iisreset /start